// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.18.1
// source: data/item.proto

package data

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// единичный элемент журнала или массива
type Item struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// тип элемента
	Type string `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	// уникальный идентификатор элемента
	Id string `protobuf:"bytes,5,opt,name=id,proto3" json:"id,omitempty"`
	// бинарное представление данных с типом type
	Data []byte `protobuf:"bytes,6,opt,name=data,proto3" json:"data,omitempty"`
	// порядковый номер изменения (актуально только для журнала)
	SeqNo int64 `protobuf:"varint,3,opt,name=seq_no,json=seqNo,proto3" json:"seq_no,omitempty"`
	// epoch millis с отметкой о моменте последних изменений
	StampMillis int64 `protobuf:"varint,4,opt,name=stamp_millis,json=stampMillis,proto3" json:"stamp_millis,omitempty"`
	// epoch seconds после которого объект более не актуален и считается удаленным, 0 если время жизни не ограничено
	TtlSeconds int64 `protobuf:"varint,7,opt,name=ttl_seconds,json=ttlSeconds,proto3" json:"ttl_seconds,omitempty"`
	// признак удаленной записи
	Deleted bool `protobuf:"varint,999,opt,name=deleted,proto3" json:"deleted,omitempty"`
}

func (x *Item) Reset() {
	*x = Item{}
	if protoimpl.UnsafeEnabled {
		mi := &file_data_item_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Item) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Item) ProtoMessage() {}

func (x *Item) ProtoReflect() protoreflect.Message {
	mi := &file_data_item_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Item.ProtoReflect.Descriptor instead.
func (*Item) Descriptor() ([]byte, []int) {
	return file_data_item_proto_rawDescGZIP(), []int{0}
}

func (x *Item) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *Item) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Item) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *Item) GetSeqNo() int64 {
	if x != nil {
		return x.SeqNo
	}
	return 0
}

func (x *Item) GetStampMillis() int64 {
	if x != nil {
		return x.StampMillis
	}
	return 0
}

func (x *Item) GetTtlSeconds() int64 {
	if x != nil {
		return x.TtlSeconds
	}
	return 0
}

func (x *Item) GetDeleted() bool {
	if x != nil {
		return x.Deleted
	}
	return false
}

// диапазон выборки ключа
type IdRange struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// минимальное значение (если пусто то не ограничивать)
	Min string `protobuf:"bytes,1,opt,name=min,proto3" json:"min,omitempty"`
	// максимальное значение (если пусто то не ограничивать)
	Max string `protobuf:"bytes,2,opt,name=max,proto3" json:"max,omitempty"`
}

func (x *IdRange) Reset() {
	*x = IdRange{}
	if protoimpl.UnsafeEnabled {
		mi := &file_data_item_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *IdRange) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*IdRange) ProtoMessage() {}

func (x *IdRange) ProtoReflect() protoreflect.Message {
	mi := &file_data_item_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use IdRange.ProtoReflect.Descriptor instead.
func (*IdRange) Descriptor() ([]byte, []int) {
	return file_data_item_proto_rawDescGZIP(), []int{1}
}

func (x *IdRange) GetMin() string {
	if x != nil {
		return x.Min
	}
	return ""
}

func (x *IdRange) GetMax() string {
	if x != nil {
		return x.Max
	}
	return ""
}

// диапазон выборки времени epoch millis
type EpochRange struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// минимальное значение (если пусто то не ограничивать)
	Min int64 `protobuf:"varint,1,opt,name=min,proto3" json:"min,omitempty"`
	// максимальное значение (если пусто то текущее время)
	Max int64 `protobuf:"varint,2,opt,name=max,proto3" json:"max,omitempty"`
}

func (x *EpochRange) Reset() {
	*x = EpochRange{}
	if protoimpl.UnsafeEnabled {
		mi := &file_data_item_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EpochRange) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EpochRange) ProtoMessage() {}

func (x *EpochRange) ProtoReflect() protoreflect.Message {
	mi := &file_data_item_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EpochRange.ProtoReflect.Descriptor instead.
func (*EpochRange) Descriptor() ([]byte, []int) {
	return file_data_item_proto_rawDescGZIP(), []int{2}
}

func (x *EpochRange) GetMin() int64 {
	if x != nil {
		return x.Min
	}
	return 0
}

func (x *EpochRange) GetMax() int64 {
	if x != nil {
		return x.Max
	}
	return 0
}

var File_data_item_proto protoreflect.FileDescriptor

var file_data_item_proto_rawDesc = []byte{
	0x0a, 0x0f, 0x64, 0x61, 0x74, 0x61, 0x2f, 0x69, 0x74, 0x65, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0xb4, 0x01, 0x0a, 0x04, 0x49, 0x74, 0x65, 0x6d,
	0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x12, 0x15, 0x0a, 0x06, 0x73, 0x65, 0x71, 0x5f,
	0x6e, 0x6f, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x73, 0x65, 0x71, 0x4e, 0x6f, 0x12,
	0x21, 0x0a, 0x0c, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x5f, 0x6d, 0x69, 0x6c, 0x6c, 0x69, 0x73, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x4d, 0x69, 0x6c, 0x6c,
	0x69, 0x73, 0x12, 0x1f, 0x0a, 0x0b, 0x74, 0x74, 0x6c, 0x5f, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64,
	0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x74, 0x74, 0x6c, 0x53, 0x65, 0x63, 0x6f,
	0x6e, 0x64, 0x73, 0x12, 0x19, 0x0a, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x18, 0xe7,
	0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x22, 0x2d,
	0x0a, 0x07, 0x49, 0x64, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x6d, 0x69, 0x6e,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x69, 0x6e, 0x12, 0x10, 0x0a, 0x03, 0x6d,
	0x61, 0x78, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x61, 0x78, 0x22, 0x30, 0x0a,
	0x0a, 0x45, 0x70, 0x6f, 0x63, 0x68, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x6d,
	0x69, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x03, 0x6d, 0x69, 0x6e, 0x12, 0x10, 0x0a,
	0x03, 0x6d, 0x61, 0x78, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x03, 0x6d, 0x61, 0x78, 0x42,
	0x35, 0x5a, 0x33, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x6b,
	0x6c, 0x6c, 0x7a, 0x7a, 0x2f, 0x6a, 0x6d, 0x6f, 0x74, 0x2f, 0x67, 0x6f, 0x6a, 0x6d, 0x6f, 0x74,
	0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x70, 0x62, 0x2f, 0x6b, 0x65, 0x65, 0x70, 0x65,
	0x72, 0x2f, 0x64, 0x61, 0x74, 0x61, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_data_item_proto_rawDescOnce sync.Once
	file_data_item_proto_rawDescData = file_data_item_proto_rawDesc
)

func file_data_item_proto_rawDescGZIP() []byte {
	file_data_item_proto_rawDescOnce.Do(func() {
		file_data_item_proto_rawDescData = protoimpl.X.CompressGZIP(file_data_item_proto_rawDescData)
	})
	return file_data_item_proto_rawDescData
}

var file_data_item_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_data_item_proto_goTypes = []interface{}{
	(*Item)(nil),       // 0: data.Item
	(*IdRange)(nil),    // 1: data.IdRange
	(*EpochRange)(nil), // 2: data.EpochRange
}
var file_data_item_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_data_item_proto_init() }
func file_data_item_proto_init() {
	if File_data_item_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_data_item_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Item); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_data_item_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*IdRange); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_data_item_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EpochRange); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_data_item_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_data_item_proto_goTypes,
		DependencyIndexes: file_data_item_proto_depIdxs,
		MessageInfos:      file_data_item_proto_msgTypes,
	}.Build()
	File_data_item_proto = out.File
	file_data_item_proto_rawDesc = nil
	file_data_item_proto_goTypes = nil
	file_data_item_proto_depIdxs = nil
}
